

extern int postscriptlevel;
extern int ps_fonttype;


extern os_error * ps_draw_stroke(int * path,int thickness,int flags,int * caps,transformstr * tr,int style,int flatness);
extern os_error * ps_draw_fill(int * path,transformstr * tr,int windingrule,int flatness,int flags);

extern os_error * ps_gwinrectdr(int x0,int y0,int x1,int y1,int * visible);
extern os_error * ps_gwindowdr(int x0,int y0,int x1,int y1);
extern os_error * ps_setclipcurve(curvestr * c,transformstr * tr,viewredrawstr * v);
extern os_error * ps_clearclipcurve(void);

extern os_error * ps_saveclippath(void ** handle);
extern os_error * ps_loadclippath(void * handle);


extern os_error * ps_setcolour(colourvalue * cv,int * transparent,viewstr * view);
extern os_error * ps_setgcol(int pal,int action);

extern os_error * ps_setclipwindow(wimp_redrawstr * redrawstr,wimp_box * box,
                                   wimp_box * grbox,void ** handle,int * visible);
extern os_error * ps_resetclipwindow(wimp_redrawstr * redrawstr,wimp_box * grbox,void * handle);

extern os_error * ps_renderframe(framestr * frame,transformstr * tr,processstr * pr);


extern os_error * ps_paint(char * s,int x,int y,int fxuni,int ffont,int ffxpt,int ffypt,colourvalue ffcol,transformstr * fxtr,int fxlineakern,int fxlinedx,int fxlineddx,viewredrawstr * v);

extern os_error * ps_string(char * font,int xsize,int ysize,int fcol,char * string,int options,int x,int y,viewredrawstr *v);

extern os_error * ps_cacheline(char * s,int fxuni,int font);


extern os_error * ps_startpage(prjobstr * prjob,viewstr * view,int pn,wimp_redrawstr * r,transformstr * tr);
extern os_error * ps_endpage(prjobstr * prjob,viewstr * view,int pn);
extern os_error * ps_startdoc(prjobstr * prjob,viewstr * view);
extern os_error * ps_enddoc(prjobstr * prjob,viewstr * view);
extern os_error * ps_startpagebox(transformstr * tr);
extern os_error * ps_endpagebox(void);

extern os_error * ps_printpropcopies(int newcopies,int * oldcopies,int inmode,int * outmode);
extern os_error * ps_printpropcollate(int newcollate,int * oldcollate,int inmode,int * outmode);

extern os_error * ps_sprender(newsprite_header * sp,transformstr * tr,
                            processstr  * pr,int * claimed);

extern os_error * ps_jprender(char * data,int len,transformstr * tr,
                            processstr  * pr,int * claimed);


extern os_error * ps_init(prjobstr * prjob);

extern int ps_level(int fp);




