/*->c.allocalias */



#include <stdafx.h>

#include <stdlib.h>
#include <stdarg.h>
#include <string.h>
#include <stdio.h>


#include "os.h"
#include "flex.h"
#include "alloc.h"




extern char * aa_calloc(size_t /*nmemb*/, size_t /*size*/);
extern void   aa_free(void * /*ptr*/);
extern char * aa_malloc(size_t /*size*/);
extern char * aa_realloc(void * /*ptr*/, size_t /*size*/);



char * aa_calloc(size_t nmemb, size_t size)
{
 os_error * err;
 void     * ptr;

 err=salloc((flex_ptr)&ptr,nmemb*size);
 return((char*)(err?NULL:ptr));
}



void aa_free(void * ptr)
{
 sfree((flex_ptr)&ptr);
}



char * aa_malloc(size_t size)
{
 os_error * err;
 void     * ptr;

 err=ralloc((flex_ptr)&ptr,size);
 return((char*)(err?NULL:ptr));
}



char * aa_realloc(void * ptr,size_t size)
{
 os_error * err;

 err=srealloc((flex_ptr)&ptr,size);
 return((char*)(err?NULL:ptr));
}



