/*->h.filetype */


#define FTLAST  -1
#define FTDEFLT -2




/* file types */

#define FTYPE2  0xB27
#define STYPE2  0xB26
#define DTYPE2  0xB25
#define SCRIPT2 0xB24

#define FTYPE   0xCDD
#define STYPE   0xCDC
#define SCRIPT  0xD65

#define OBEY    0xFEB
#define EXEC    0xFFE
#define DATA    0xFFD
#define TEXTFILE    0xFFF
#define DRAW    0xAFF
#define SPRITE  0xFF9
#define FWP     0xAF8

#define JPEG    0xC85

//#define TIFF     0xFF0
#define TIFFTYPE 0xFF0

#define WMETAF  0xB2F
#define BMP     0x69C
#define DIB     0x100
#define OAPPLET 0x101
#define PRNFILE 0x102
#define ALLFILES 0x103
#define EMETAF  0x104
#define UNICODETEXTFILE 0x105

#define CLEAR  0x690
#define GIF    0x695
#define MTV    0x699
#define PBM    0x69E

#define PCX    0x697
#define EPS     0xFF6
#define PSCRIPT 0xFF5
#define PNG    0xB60
#define ICO    0x132
#define CURSOR 0x133

#define RTF    0xC32
#define HTMLFILE 0xC33

#define PAL    0xFED

#define IMP    0xBC5
#define DDF    0x707






typedef struct filetypetag
{
 int     filetype;
 char *  extension;
 char *  description;
} filetypetag;


typedef struct filetypelink
{
 struct filetypelink  * next;
 filetypetag          * tags;
} filetypelink;



extern os_error * addfiletypetable(filetypetag * tags,filetypelink * link);
extern os_error * getextension(int filetype,char * extension);
extern os_error * getextensionx(int filetype,char * extension,int i,int * hit);
extern os_error * getfiletype(int * filetype,char * extension);
extern os_error * getfiletypex(int * filetype,int * deftype,char * extension);
extern os_error * getdescription(int filetype,char * description);
extern os_error * getdescriptionptr(int filetype,char ** description);



