/*->h.editpath */


#define DRSUB 16


#define EP_FRAME 0
#define EP_INNER 1
#define EP_OUTER 2


#define EPC_NONE 0        /* colour types */
#define EPC_CV   1
#define EPC_WIMP 2
#define EPC_PAL  3
#define EPC_CVG  4        /* cv + guideline */

typedef struct epstr
{
 curvestr     curve[3];
 transformstr tr[3];

 union
 {
  colourvalue  cv;        /* frame line colour */
  int          pal;
  int          wimpcol;
 } colour;

 char         change[3]; /* we keep sum change in bit 1 and current in bit 0 */
 unsigned int invisible:1;
 unsigned int update:1;
 unsigned int quit:1;
 unsigned int coltype:3;

} epstr;


extern int        instantpathedit;

extern int editpathcanedit(curvestr * c);


extern os_error * patheditinit(void);


